"use strict";

var _addons = require("@expo/webpack-config/addons");

var _env = require("@expo/webpack-config/env");

const resolvableExtensions = () => (0, _env.getModuleFileExtensions)('web');

function onCreateBabelConfig({
  actions
}, options) {
  actions.setBabelPreset({
    name: require.resolve(`babel-preset-expo`),
    options
  });
}

function onCreateWebpackConfig({
  actions,
  getConfig
}) {
  const gatsbyConfig = getConfig();

  if (!gatsbyConfig.context) {
    throw new Error('Expected Gatsby config to provide the root context');
  }

  let config;

  try {
    config = (0, _addons.withUnimodules)(gatsbyConfig);
  } catch (error) {
    console.error(error);
    process.exit(1);
  }

  actions.replaceWebpackConfig(config);
}

exports.resolvableExtensions = resolvableExtensions;
exports.onCreateBabelConfig = onCreateBabelConfig;
exports.onCreateWebpackConfig = onCreateWebpackConfig;